Package org.apache.cayenne.access.types

# Class LocalDateValueType

java.lang.Object
org.apache.cayenne.access.types.LocalDateValueType

All Implemented Interfaces:
  `ValueObjectType<LocalDate,Date>`

public class LocalDateValueType extends Object implements ValueObjectType<LocalDate,Date>

Since:
  4.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocalDateValueType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `fromJavaObject(LocalDate object)`
  `Class<Date>`
  `getTargetType()`
  `Class<LocalDate>`
  `getValueType()`
  `String`
  `toCacheKey(LocalDate object)`
  Returned value should be same for objects that is logically equal.
  `LocalDate`
  `toJavaObject(Date value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.cayenne.access.types.ValueObjectType

  `equals`

- ## Constructor Details

  - ### LocalDateValueType

    public LocalDateValueType()

- ## Method Details

  - ### getTargetType

    public Class<Date> getTargetType()
    Specified by:
      `getTargetType` in interface `ValueObjectType<LocalDate,Date>`
    Returns:
      base type used to serialize V objects to.

  - ### getValueType

    public Class<LocalDate> getValueType()
    Specified by:
      `getValueType` in interface `ValueObjectType<LocalDate,Date>`
    Returns:
      type of Objects described by this ValueObjectType.

  - ### toJavaObject

    public LocalDate toJavaObject(Date value)
    Specified by:
      `toJavaObject` in interface `ValueObjectType<LocalDate,Date>`
    Parameters:
      `value` - of type T
    Returns:
      java object

  - ### fromJavaObject

    public Date fromJavaObject(LocalDate object)
    Specified by:
      `fromJavaObject` in interface `ValueObjectType<LocalDate,Date>`
    Parameters:
      `object` - java object
    Returns:
      value of type T

  - ### toCacheKey

    public String toCacheKey(LocalDate object)
    Description copied from interface: `ValueObjectType`
    Returned value should be same for objects that is logically equal.
    Specified by:
      `toCacheKey` in interface `ValueObjectType<LocalDate,Date>`
    Returns:
      String representation usable for cache.